View all methods
orgfiles.list
List previously uploaded org data files.
Facts
| Method | GET https://api.getdx.com/orgfiles.list |
| Required scope | teams:manage |
Arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
Example request
This is a typical request:
curl 'https://api.getdx.com/orgfiles.list' \
--header 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'
Example response
This is a typical success response:
{
"uploads": [
{
"id": "NTg",
"created_at": "2025-01-30T18:43:59.856Z",
"filename": "team_hierarchy.csv",
"download_url": "https://app.getdx.com/xyz/team_hierarchy.csv"
}
]
}
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
invalid_auth |
Some aspect of authentication cannot be validated. |